<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>view users</title>
    <style>
        table{
            width: 100%;
            height: 100vh;
            color: rgb(82, 64, 64);
            /* border-collapse: collapse; */
            font-family: cursive ;
        }
        body{
            margin: 0;
        }
        th,tr,td{
            text-align: center;
            padding: 10px;
            border: 1px solid black;
        }
        tr:not(:first-child):hover {
            background-color: #e4e4e1;
            cursor: pointer;
        }
    </style>
</head>
<body>
    <table id='table'>
        <tr>
            <th>NAME</th>
            <th>EMAIL</th>
            <th>PHONE</th>
            <th>WEBSITE</th>
            <th>COMPANY NAME</th>
        </tr>
    </table>
    <script>
        let xhr = new XMLHttpRequest();
        xhr.open('get', 'https://jsonplaceholder.typicode.com/users');
        xhr.responseType="json"
        xhr.send();

        xhr.onload = function() {
                   display_table( xhr.response);
            };
        function display_table(users)
        {
            let table_ref=document.getElementById('table')
            let users_length=users.length        
            for(let i=0;i<users_length;i++)
            {
                let row=document.createElement('tr')
                for(let j=0;j<4;j++)
                {
                    props=['name','email','phone','website']
                    let name_col = document.createElement("td");
                    let name = document.createTextNode(users[i][props[j]]);
                     name_col.appendChild(name)

                    row.appendChild(name_col)
                }
                row.setAttribute('id',users[i].id)
                let company_col = document.createElement("td");
                    let company = document.createTextNode(users[i].company.name);
                    company_col.appendChild(company)
                    row.appendChild(company_col)
                    // row.style.transition="0.6s"
                    row.onclick=()=>
                {
                    window.location.href="cards.html?id="+users[i].id
                }
                table_ref.appendChild(row)        
                   
            }
        }
        

    </script>
</body>
</html>
